=== doc/Makefile ===
all:
	latex manual.tex
	bibtex manual
	dvips manual.dvi -omanual.ps
	dvipdf manual.dvi manual.pdf
