=== homepage/Makefile ===
upload:
	mkdir -p uploaddir
	cp gfan.html uploaddir/
	cp binaries.html uploaddir/
	cp *.png uploaddir/
	cp ../gfan0.6.tar.gz uploaddir/
	cp ../gfanlib0.6.2.tar.gz uploaddir/
	cp presentation/presentation.ps uploaddir/
	cp presentation/presentation.pdf uploaddir/
	cp ../doc/manual.ps uploaddir/gfanmanual0.6.ps
	cp ../doc/manual.pdf uploaddir/gfanmanual0.6.pdf
	scp uploaddir/* jensen@elrond.math.au.dk:public_html/software/gfan/
#	scp uploaddir/* jensen@orc06.imf.au.dk:public_html/software/gfan/
#	scp uploaddir/* jensen@heawood.math.tu-berlin.de:WWW/software/gfan/
#	scp uploaddir/* jensen@horner:WWW/software/gfan/
#	scp uploaddir/* ajensen@imf.au.dk:public_html/software/gfan/
