=== homepage/presentation/Makefile ===
all:
	latex presentation.tex
	dvips presentation.dvi -opresentation.ps
	dvipdf presentation.dvi presentation.pdf
