=== debian/changelog ===
gfan (0.6.2-6) unstable; urgency=medium

  * debian/patches/find-name.patch
    - Add Forwarded field.
  * debian/patches/remove_failing_tests_on_32bits.patch
    - Remove patch; no longer needed.
  * debian/rules
    - Add -ffloat-store to CFLAGS on 32-bit architectures; fixes
      0009RenderStairCase test.
    - Convert override_* to execute_before_* where possible.
    - Build documentation a second time to fix references.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 21 Nov 2021 23:51:26 -0500

gfan (0.6.2-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix spelling
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Update Vcs-* fields (science-team -> math-team).
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Add myself to copyright holders for debian/*.
  * debian/patches/find-name.patch
    - Properly terminate while loop when finding application name.
  * debian/rules
    - Stop including architecture.mk; not used.
    - Move code for generating manpage to one place.
    - Stop setting DH_VERBOSE.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 08 Nov 2021 19:33:55 -0500

gfan (0.6.2-4) unstable; urgency=medium

  * debian/control
    - Drop versioned dependency on libcdd-dev; the minimum version was
      094g, but that is in oldoldstable.
  * debian/patches/remove_failing_tests_on_32.bits.patch
    - Restore patch; we will return to just skipping this test, as we
      can't predict the expected output based on 32-bit v. 64-bit
      architecture alone.
  * debian/patches/render-staircase.patch
    - Remove patch.
  * debian/rules
    - Stop patching the 0009RenderStairCase test on 32-bit architectures.
    - Refactor override_dh_link target.  Previously, we called dh_link
      once for each app to create a symlink for the manpage.  However,
      each individual call was recreating the symlinks to the apps
      themselves, resulting in nearly 9000 calls to rm and ln!  We
      reduce this down to a single call to dh_link, removing all of the
      redundancies.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 03 Dec 2020 20:20:45 -0500

gfan (0.6.2-3) unstable; urgency=medium

  * debian/clean
    - Remove generated manpage during dh_clean.
  * debian/compat
    - Remove file; we now set the compatibility level with
      debhelper-compat.
  * debian/control
    - Bump Standards-Version to 4.5.1.
    - Add Rules-Requires-Root field.
    - Update Homepage.
    - Bump to debhelper compatibility level 13.
  * debian/copyright
    - Update Source.
  * debian/gfan.1.in
    - Rename file; the manpage is now generated during build.
    - Use special characters for umlauts to avoid troff warnings.
  * debian/gfan.install
    - New file; install testsuite.
  * debian/patches
    - Add Forwarded tags where needed.
  * debian/patches/64_bit_int.patch
    - Use int64_t instead of long for 64-bit integers; the overflow
      on 32-bit systems was causing an infinite loop in a test
      (Closes: #974558).
  * debian/patches/dont_forget_flags_debian.patch
    - Don't forget CPPFLAGS for symmetrictraversal.cpp.
  * debian/patches/{fix_spelling_errors,make_tests_return_error}.patch
    - Don't reintroduce a typo in a later patch.
  * debian/patches/no_manual_date.patch
    - Remove patch; no longer necessary since LaTeX supports
      SOURCE_DATE_EPOCH.
  * debian/patches/render-staircase.patch
    - New patch; fix failing test on 32-bit architectures.
  * debian/rules
    - Remove 0602ResultantFanProjection from tests to skip on 32-bit
      architectures; the underlying problem has been fixed and it no
      longer fails.
    - New override_dh_installman target; generate manpage during
      build using the source date and version number.
    - Export FORCE_SOURCE_DATE so LaTeX uses SOURCE_DATE_EPOCH and we
      get a reproducible build of the manual.
    - Add override_dh_install target; don't install temporary files
      from testsuite directory.
    - Instead of skipping a failing test on 32-bit architectures, we
      now apply a patch to fix it.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/tests/control
    - Use installed testsuite directory.
  * debian/watch
    - Update url.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 21 Nov 2020 22:00:45 -0500

gfan (0.6.2-2) unstable; urgency=medium

  * debian/patches/no_manual_date.patch
    - Use empty date in manual for reproducible builds.
  * debian/tests/control
    - Specify executable to use for tests.  Otherwise the default
      (./gfan) is used, which only works during build and not during
      DEP-8 tests.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 24 Sep 2018 07:44:07 -0400

gfan (0.6.2-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control
    - Bump Standards-Version to 4.2.1.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 05 Sep 2018 16:11:52 -0400

gfan (0.6.2-1~exp2) experimental; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.2.0.
  * debian/patches/remove_failing_tests_on_32bits.patch
    - Remove patch.
  * debian/rules
    - Remove tests which fail on 32-bit architectures.  Previously, we removed
      0009RenderStairCase on *all* architectures using quilt.  We now use
      dpkg-architecture to only remove this and the newly-introduced
      0602ResultantFanProjection on the architectures on which they fail
      (Closes: #905300).

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 22 Aug 2018 14:37:22 -0400

gfan (0.6.2-1~exp1) experimental; urgency=medium

  [ Andreas Tille ]
  * Homepage is not part of UpstreamMetadata any more since it is redundant

  [ Doug Torrance ]
  * New upstream release.
    - Manual is now no longer released under a non-DFSG license.
  * debian/clean

