=== debian/tests/control ===
Test-Command: cp -r /usr/share/gfan/testsuite $AUTOPKGTEST_TMP &&
 gfan _test --gfan /usr/bin/gfan --suite $AUTOPKGTEST_TMP/testsuite
Depends: gfan
Restrictions: allow-stderr
