## gfan 0.7

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 BINDIR=$(PREFIX)/bin
 
-RELEASEDIR = gfan0.6.2
+RELEASEDIR = gfan0.7
 MAIN       = gfan
 
 GCATSPATH   = ./
@@ -70,6 +70,11 @@
 SOPLEX_OBJECTS = lp_soplexcdd.o
 endif
 
+ifeq ($(vectorize),)
+VECTORISE =
+else
+VECTORISE = -mavx -msse2
+endif
 
 # rememember to adjust USEFACTORY in field_rationalfunctions2
 ifeq ($(singular),)
@@ -107,16 +112,25 @@
 MKDIR=mkdir -p
 
 # PREFIX = /usr/local/gcc/6.2.0/bin/
+# PREFIX = /usr/local/gcc-8.1/bin/
 PREFIX =
 SHELL       = /bin/sh
 #ARCH        = LINUX
+
 CC          = $(PREFIX)gcc
 CLINKER     = $(CC)
 CXX         = $(PREFIX)g++
 CCLINKER    = $(CXX)
+
+#CC          = $(PREFIX)gcc-8.1
+#CLINKER     = $(CC)
+#CXX         = $(PREFIX)g++-8.1
+#CCLINKER    = $(CXX)
+
 #OPTFLAGS    = -O2 -DGMPRATIONAL -DNDEBUG
 # Note that gcc produces wrong code with -O3
-OPTFLAGS    =  -DGMPRATIONAL -Wuninitialized -fno-omit-frame-pointer -O2	 #-O3 -fno-guess-branch-probability #-DNDEBUG
+# OPTFLAGS    =  -DGMPRATIONAL -Wuninitialized -O3 -fno-omit-frame-pointer -fdelete-null-pointer-checks -fno-inline-functions -fno-inline-small-functions#-fno-common  #-fno-inline-functions #-D_GLIBCXX_DEBUG #-O2	 #-O3 -fno-guess-branch-probability #-DNDEBUG
+OPTFLAGS    =  -DGMPRATIONAL -Wuninitialized -O3  $(VECTORISE)  -finline-limit=1000 -ffast-math -fno-omit-frame-pointer -fno-inline-functions -fdelete-null-pointer-checks #-D_GLIBCXX_DEBUG #-fno-inline-functions -fno-inline-small-functions#-fno-common  #-fno-inline-functions #-D_GLIBCXX_DEBUG #-O2	 #-O3 -fno-guess-branch-probability #-DNDEBUG
 #OPTFLAGS    =  -DGMPRATIONAL -Wuninitialized -fno-omit-frame-pointer -O3 -mavx -msse2  -finline-limit=1000 -ffast-math -Wuninitialized # -fno-guess-branch-probability #-DNDEBUG -ftree-vectorizer-verbose=2
 #OPTFLAGS    =  -DGMPRATIONAL -Wuninitialized -fno-omit-frame-pointer -O1             -fno-guess-branch-probability
  #-DNDEBUG
@@ -125,8 +139,9 @@
 #OPTFLAGS    =  -DGMPRATIONAL -Wuninitialized -fno-omit-frame-pointer -O3 -msse2 -ftree-vectorizer-verbose=2 -ffast-math #-DNDEBUG
 #OPTFLAGS    =  -DGMPRATIONAL -Wuninitialized -fno-omit-frame-pointer -O3 -mavx -msse2 -ftree-vectorizer-verbose=2 -ffast-math #-DNDEBUG
 
-CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(STACTDUMP_OPTIONS) $(ADDITIONALINCLUDEOPTIONS) -std=c++0x -g $(CDDDEFINE_PREFIX) #-pedantic
-#CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(STACTDUMP_OPTIONS) $(ADDITIONALINCLUDEOPTIONS) -D_GLIBCXX_DEBUG -std=c++0x -g $(CDDDEFINE_PREFIX) #-pedantic
+CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(STACTDUMP_OPTIONS) $(ADDITIONALINCLUDEOPTIONS) -g $(CDDDEFINE_PREFIX) -std=c++2a #-pedantic
+#CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(STACTDUMP_OPTIONS) $(ADDITIONALINCLUDEOPTIONS) -std=c++0x -g $(CDDDEFINE_PREFIX) #-pedantic
+#CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(STACTDUMP_OPTIONS) $(ADDITIONALINCLUDEOPTIONS) -D_GLIBCXX_DEBUG -g $(CDDDEFINE_PREFIX) #-pedantic
 CCFLAGS	  = $(CFLAGS)
 FFLAGS	  = $(OPTFLAGS)
 
@@ -231,6 +246,11 @@
 	tropicalcurve.o \
 	packedmonomial.o \
 	gmpallocator.o \
+	gfanlib_memoryresource.o \
+	gfanlib_hypersurfaceintersection.o \
+	divisionobject.o \
+	gfanlibglue.o \
+#	gfanlib_circuittableinteger.o \
 #		symmetrictraversal.o \
 	#	restrictedgfan.o \
 
@@ -359,7 +379,11 @@
 		app_integerfactorization.o \
 		app_tropicalvarietyspan.o \
 		app_chowbetti.o \
-		
+		app_anton.o \
+		app_components.o \
+		app_tropicalprevarietycomponents.o \
+		app_tropicalprevariety.o \
+		app_anders.o \
 
 GFANLIBFILES= 	gfanlib.h \
 				gfanlib_polyhedralfan.cpp \
@@ -385,38 +409,11 @@
 				gfanlib_paralleltraverser.h \
 				gfanlib_paralleltraverser.cpp \
 				gfanlib_tropicalhomotopy.h \
+				gfanlib_memoryresource.h \
+				gfanlib_memoryresource.cpp \
 	#			gfanlib_tableau.h \   we do not yet support this one
 
 
 EXECS	  = $(MAIN)
 
 # When compiling symmetrictraversal.cpp as any other file, it causes the program to crash in certain situations.
-# (compiling with gcc version 4.7.2 and running gfan _tropicaltraverse on a starting cone for Grassmann3_7)
-# Either this is a bug in the code or in the compiler. The bug disappears by compiling with -fno-guess-branch-probability
-src/symmetrictraversal.o: src/symmetrictraversal.cpp
-	$(CXX) $(CFLAGS) -fno-guess-branch-probability  -c src/symmetrictraversal.cpp -o src/symmetrictraversal.o
-# If compiling with clang, use the line below instead:
-#	$(CXX) $(CFLAGS) -c src/symmetrictraversal.cpp -o src/symmetrictraversal.o
-
-# Define suffixes to make the program compile on legolas.imf.au.dk :
-.SUFFIXES: .o .cpp .c
-
-OBJECTS = 	$(addprefix src/,$(SOPLEX_OBJECTS)) \
-		$(SINGULAR_OBJECTS) \
-		$(SAGE_OBJECTS) \
-		$(addprefix src/,$(CATSOBJECTS)) \
-		$(addprefix src/,$(APPOBJECTS)) \
-		src/symmetrictraversal.o
-
-all: $(MAIN)
-
-$(BINDIR): $(PREFIX)
-	$(MKDIR) $(BINDIR)
-
-$(PREFIX):
-	$(MKDIR) $(PREFIX)
-
-default: $(OBJECTS) $(ADDITIONALOBJECTS) $(EXECS)
-
-$(MAIN): $(OBJECTS)
-#	$(CCLINKER) $(OBJECTS) $(ADDITIONALLINKOPTIONS) $(GPROFFLAG) -lpthread  -o $(MAIN)
