=== debian/changelog ===
gfan (0.7-3) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.7.2
  * debian/copyright
    - Update my copyright years
  * debian/patches/skip-mixed-volume-test.patch
    - Skip test that fails on armel.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 02 May 2025 07:08:50 -0400

gfan (0.7-2) unstable; urgency=medium

  * debian/patches/int128.patch
    - New patch; use Abseil to provide 128-bit integers on 32-bit
      architectures that don't support them natively.
  * debian/control
    - Add libabsl-dev to Build-Depends; needed for new 128-bit integer
      patch.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 24 Oct 2024 11:25:53 -0400

gfan (0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.7.0.
  * debian/patches
    - Refresh for new upstream release.
    - Remove set_locale_test_0008.patch, 64_bit_int.patch, and
      find-name.patch; applied upstream.
  * debian/patches/cstdint.patch
    - New patch; include <cstdint> for std::int64_t.
  * debian/patches/dont_forget_flags_debian.patch
    - Move a couple essential flags from now-unused OPTFLAGS to CPPFLAGS.
  * debian/watch
    - Add uversionmangle option to prepend ~ before beta, etc.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 22 Aug 2024 06:54:03 -0400

gfan (0.6.2-7) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.2.
    - Update my email address (now a Debian developer).
  * debian/copyright
    - Update my copyright years and email address.
  * debian/patches/*
    - Update my email address.
  * debian/patches/remove_failing_tests_on_32bits.patch
    - Restore patch.
  * debian/rules
    - Stop adding -ffloat-store flag; not working with GCC 13.
  * debian/source/lintian-overrides
    - New file; override false positive source-is-missing error.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 23 Mar 2024 23:35:04 -0400
