=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Tim Abbott <tabbott@mit.edu>,
            Cédric Boutillier <boutil@debian.org>,
-           Doug Torrance <dtorrance@piedmont.edu>
+           Doug Torrance <dtorrance@debian.org>
 Homepage: https://users-math.au.dk/jensen/software/gfan/gfan.html
 Vcs-Browser: https://salsa.debian.org/math-team/gfan
 Vcs-Git: https://salsa.debian.org/math-team/gfan.git
 Build-Depends: debhelper-compat (= 13),
                ghostscript,
                html2text,
+               libabsl-dev,
                libcdd-dev,
                libgmp-dev,
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-plain-generic
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: gfan
