=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://users-math.au.dk/jensen/software/gfan/gfan.html \
@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
